API ReferenceSchemas
Update Entity Schema
Authorization
apiKey Authorization<token>
API key authentication. Send your key in the Authorization header as: api-key <your-api-key>.
In: header
Path Parameters
workspace*string
object*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/workspaces/string/schemas/objects/string" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{
"data": {
"type": "async_task",
"id": "string",
"attributes": {
"_id": "string",
"user_id": "string",
"type": "sync_emails",
"progress": 0,
"total": 0,
"metadata": null,
"queued_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"failed_at": "2019-08-24T14:15:22Z",
"error_code": "string",
"_updated_at": "2019-08-24T14:15:22Z",
"_created_at": "2019-08-24T14:15:22Z"
},
"relationships": {}
}
}